package com.zcloud.fire.check.web;


import com.alibaba.cola.dto.MultiResponse;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.Response;
import com.alibaba.cola.dto.SingleResponse;
import com.jjb.saas.framework.auth.model.SSOUser;
import com.jjb.saas.framework.auth.utils.AuthContext;
import com.zcloud.fire.check.api.FireCheckListUserServiceI;
import com.zcloud.fire.check.dto.FireCheckListUserAddCmd;
import com.zcloud.fire.check.dto.FireCheckListUserPageQry;
import com.zcloud.fire.check.dto.FireCheckListUserUpdateCmd;
import com.zcloud.fire.check.dto.clientobject.FireCheckListUserCO;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.AllArgsConstructor;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.*;
import springfox.documentation.annotations.ApiIgnore;

import java.util.ArrayList;

/**
 * web-adapter
 *
 * @Author zhaokai
 * @Date 2025-12-11 15:32:49
 */
@ApiIgnore
@Api(tags = "消防点位检查负责人表",hidden = true)
@RequestMapping("/${application.gateway}/fireCheckListUser")
@RestController
@AllArgsConstructor
@Deprecated
public class FireCheckListUserController {
    private final FireCheckListUserServiceI fireCheckListUserService;

    @ApiOperation("新增")
    @PostMapping("/save")
    public SingleResponse<FireCheckListUserCO> add(@Validated @RequestBody FireCheckListUserAddCmd cmd) {
        SSOUser ssoUser = AuthContext.getCurrentUser();
        return fireCheckListUserService.add(cmd);
    }

    @ApiOperation("分页")
    @PostMapping("/list")
    public PageResponse<FireCheckListUserCO> page(@RequestBody FireCheckListUserPageQry qry) {
        return fireCheckListUserService.listPage(qry);
    }

    @ApiOperation("所有数据")
    @GetMapping("/listAll")
    public MultiResponse<FireCheckListUserCO> listAll() {
        return MultiResponse.of(new ArrayList<FireCheckListUserCO>());
    }

    @ApiOperation("详情")
    @GetMapping("/{id}")
    public SingleResponse<FireCheckListUserCO> getInfoById(@PathVariable("id") Long id) {
        return SingleResponse.of(new FireCheckListUserCO());
    }

    @ApiOperation("删除")
    @DeleteMapping("/{id}")
    public Response remove(@PathVariable("id") Long id) {
        fireCheckListUserService.remove(id);
        return SingleResponse.buildSuccess();
    }

    @ApiOperation("删除多个")
    @DeleteMapping("/ids")
    public Response removeBatch(@RequestParam Long[] ids) {
        fireCheckListUserService.removeBatch(ids);
        return SingleResponse.buildSuccess();
    }

    @ApiOperation("修改")
    @PutMapping("/edit")
    public SingleResponse edit(@Validated @RequestBody FireCheckListUserUpdateCmd fireCheckListUserUpdateCmd) {
        fireCheckListUserService.edit(fireCheckListUserUpdateCmd);
        return SingleResponse.buildSuccess();
    }
}

